﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="edit.ascx.cs" Inherits="widgets_FlashTag_cloud_edit" %>
<%@ Reference VirtualPath="~/widgets/Flash Tag cloud/widget.ascx" %>
<!-- Flash Tag Cloud for Blog Engine.
     Author: Ugo Chirico - http://www.ugochirico.com 
     Data: 2010/09/28
     Based upon wpCumulus, the flash tag cloud for word press
-->
<label for="<%=txtWidth %>">Width</label><br />
<asp:TextBox runat="server" ID="txtWidth" Width="30" />
<asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="Server" ControlToValidate="txtWidth" ErrorMessage="Please enter a valid width" Display="dynamic" />
<asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="txtWidth" Type="Integer" Operator="dataTypeCheck" ErrorMessage="A real number please" /><br /><br />

<label for="<%=txtHeight %>">Height</label><br />
<asp:TextBox ID="txtHeight" runat="server" Width="30" />
<asp:CompareValidator ID="CompareValidator2" runat="server" ControlToValidate="txtHeight" Type="Integer" Operator="dataTypeCheck" ErrorMessage="A real number please" /><br /><br />

<label for="<%=txtBackColor %>">Background color</label><br />
<asp:TextBox runat="server" ID="txtBackColor" Width="80" Text="#FFFFFF"/>
<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="Server" ControlToValidate="txtBackColor" ErrorMessage="Please enter a valid color" Display="dynamic" /><br /><br />

<label for="<%=txtHiColor %>">Highlight color</label><br />
<asp:TextBox runat="server" ID="txtHiColor" Width="80" Text="#FF0000"/>
<asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="Server" ControlToValidate="txtHiColor" ErrorMessage="Please enter a valid color" Display="dynamic" /><br /><br />

<label for="<%=txtTagColor1 %>">Less important tag color</label><br />
<asp:TextBox runat="server" ID="txtTagColor1" Width="80" Text="#555555"/>
<asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="Server" ControlToValidate="txtTagColor1" ErrorMessage="Please enter a valid color" Display="dynamic" /><br /><br />

<label for="<%=txtTagColor2 %>">More important tag color</label><br />
<asp:TextBox runat="server" ID="txtTagColor2" Width="80" Text="#000000"/>
<asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="Server" ControlToValidate="txtTagColor2" ErrorMessage="Please enter a valid color" Display="dynamic" /><br /><br />

<label for="<%=txtMaxSize %>">Maximum Tag size</label><br />
<asp:TextBox runat="server" ID="txtMaxSize" Width="30" Text="20"/>
<asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="Server" ControlToValidate="txtMaxSize" ErrorMessage="Please enter a valid numbwe" Display="dynamic" />
<asp:CompareValidator ID="CompareValidator3" runat="server" ControlToValidate="txtMaxSize" Type="Integer" Operator="dataTypeCheck" ErrorMessage="An integer number please" /><br /><br />

<label for="<%=txtMinSize %>">Minimum Tag size</label><br />
<asp:TextBox runat="server" ID="txtMinSize" Width="30" Text="10"/>
<asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="Server" ControlToValidate="txtMinSize" ErrorMessage="Please enter a valid numbwe" Display="dynamic" />
<asp:CompareValidator ID="CompareValidator4" runat="server" ControlToValidate="txtMinSize" Type="Integer" Operator="dataTypeCheck" ErrorMessage="An integer number please" /><br /><br />

<label for="<%=txtSpeed%>">Rotation Speed</label><br />
<asp:TextBox runat="server" ID="txtSpeed" Width="50" Text="100"/>
<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="Server" ControlToValidate="txtSpeed" ErrorMessage="Please enter a valid numbwe" Display="dynamic" />
<asp:CompareValidator ID="CompareValidator5" runat="server" ControlToValidate="txtSpeed" Type="Integer" Operator="dataTypeCheck" ErrorMessage="An integer number please" /><br /><br />

<label for="<%=ddlTrans %>">Transparent Background</label><br />
<asp:DropDownList runat="server" ID="ddlTrans">
  <asp:ListItem Value="False" Text="false (default)" />
  <asp:ListItem Text="True" />
</asp:DropDownList>

<label for="<%=ddlDistr %>">Distribute on a sphere</label><br />
<asp:DropDownList runat="server" ID="ddlDistr">
  <asp:ListItem Value="True" Text="true (default)" />
  <asp:ListItem Text="false" />
</asp:DropDownList>




