﻿#region Using

using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Collections.Specialized;

#endregion

/* Flash Tag Cloud for Blog Engine.
     Author: Ugo Chirico - http://www.ugochirico.com 
     Data: 2010/09/28
     Based upon wpCumulus, the flash tag cloud for word press
*/
public partial class widgets_FlashTag_cloud_edit : WidgetEditBase
{
	protected override void OnLoad(EventArgs e)
	{
		if (!Page.IsPostBack)
		{
			StringDictionary settings = GetSettings();
            if (settings.ContainsKey("flashtagcloud.width"))
            {
                txtWidth.Text = settings["flashtagcloud.width"];
                txtHeight.Text = settings["flashtagcloud.heigth"];
                txtHiColor.Text = settings["flashtagcloud.hicolor"];
                txtTagColor1.Text = settings["flashtagcloud.tagcolor1"];
                txtTagColor2.Text = settings["flashtagcloud.tagcolor2"];
                txtMaxSize.Text = settings["flashtagcloud.maxsize"];
                txtMinSize.Text = settings["flashtagcloud.minsize"];
                txtSpeed.Text = settings["flashtagcloud.speed"];
                ddlDistr.SelectedValue = settings["flashtagcloud.distr"];
                ddlTrans.SelectedValue = settings["flashtagcloud.transparent"];
            }

		}
	}

	public override void Save()
	{
		StringDictionary settings = GetSettings();
        settings["flashtagcloud.width"] = txtWidth.Text;
        settings["flashtagcloud.heigth"] = txtHeight.Text;
        settings["flashtagcloud.hicolor"] = txtHiColor.Text;
        settings["flashtagcloud.tagcolor1"] = txtTagColor1.Text;
        settings["flashtagcloud.tagcolor2"] = txtTagColor2.Text;
        settings["flashtagcloud.maxsize"] = txtMaxSize.Text;
        settings["flashtagcloud.minsize"] = txtMinSize.Text;
        settings["flashtagcloud.distr"] = ddlDistr.SelectedValue;
        settings["flashtagcloud.speed"] = txtSpeed.Text;
        settings["flashtagcloud.transparent"] = ddlTrans.SelectedValue;
        
		SaveSettings(settings);
		widgets_FlashTag_cloud_widget.Reload();
	}
}
